#include "Explosion.h"
#include "Application.h"

extern Application* g_App;

Explosion::Explosion()
{

}

Explosion::~Explosion()
{
}

void Explosion::Update()
{
	Lifetime--;
}

void Explosion::Render()
{
	if (Lifetime < 0)
	{
		return;
	}

	CIwFVec2 target(Position.x - 7.0f, Position.y - 7.0f);
	target.x += g_App->GetPanOffset().x;
	target.y += g_App->GetPanOffset().y;

	CIwFVec2 source((Lifetime / 2) * 16.0f, 480.0);
	CIwFVec2 region(16.0f, 16.0f);

	Iw2DDrawImageRegion(g_App->GetTileImage(), target, source, region);
}

void Explosion::ResetLifetime()
{
	Lifetime = 30;
}
