#include "Projectile.h"
#include "Application.h"

extern Application* g_App;

Projectile::Projectile()
{
	float speed = 0.0f;
}

Projectile::~Projectile()
{

}

void Projectile::Update()
{
	Position += Direction * Speed;

	Lifetime--;
}

void Projectile::Render()
{
	uint32 blinkIndex = (g_App->GetFrameCounter() / QUARTER_FRAME_RATE_HZ) % 2;

	// 256, 480, 7, 7
	CIwFVec2 target(Position.x - 3.0f, Position.y - 3.0f);
	target.x += g_App->GetPanOffset().x;
	target.y += g_App->GetPanOffset().y;

	CIwFVec2 source(256.0f + (blinkIndex * 7.0f), 480.0);
	CIwFVec2 region(7.0f, 7.0f);

	Iw2DDrawImageRegion(g_App->GetTileImage(), target, source, region);
}
